<div class="light-border-spacing">
    <div class="medium-margin-bottom">
        <div class="dal-legend-header">
            <h4 class="title-bc">DAL SLOTS STATUS</h4>
            <b-dropdown right>
                <template #button-content>
                    <i class="bi bi-info-square"></i>
                </template>
                <b-dropdown-item>
                    <div class="dal-desc">
                        <div class="dal-slot dal-published"></div>
                        <p class="light-margin-left">Published and waiting for attestation</p>
                    </div>
                </b-dropdown-item>
                <div class="dropdown-divider"></div>
                <b-dropdown-item>
                    <div class="dal-desc">
                        <div class="dal-slot dal-not-published"></div>
                        <p class="light-margin-left">Not published</p>
                    </div>
                </b-dropdown-item>
                <div class="dropdown-divider"></div>
                <b-dropdown-item>
                    <div class="dal-desc">
                        <div class="dal-slot dal-attested"></div>
                        <p class="light-margin-left">Published and attested</p>
                    </div>
                </b-dropdown-item>
                <div class="dropdown-divider"></div>
                <b-dropdown-item>
                    <div class="dal-desc">
                        <div class="dal-slot dal-not-attested"></div>
                        <p class="light-margin-left">Published and not attested</p>
                    </div>
                </b-dropdown-item>
            </b-dropdown>
        </div>
    </div>
    <div v-if="!enabled" class="center light-border-spacing">
        <p><b>Dal feature is not enabled on this network.</b></p>
    </div>
    <div v-else>
        <div class="center row" v-for="[level, slots] in tab">
            <div class="center row medium-margin-bottom">
                <div style="width: 100%" class="center text-nowrap">
                    Status of slots published at level&nbsp;<b>{{ level }}</b>
                </div>
                <table>
                    <tr v-for="i in Math.ceil(slots.length/32)">
                        <template v-for="j in 32">
                            <template
                                v-for="index in [(j - 1) + ( i - 1) * 32]"
                                v-if="index < slots.length"
                            >
                                <td
                                    :id="level + '-dal-slot-' + index"
                                    :class="['dal-slot',
                                              slots[index][1] === undefined ? 'dal-not-published' :
                                              (slots[index][1].attested === undefined ? 'dal-published' :
                                              (slots[index][1].attested ? 'dal-attested' : 'dal-not-attested'))]"
                                ></td>
                                <b-tooltip :target="level + '-dal-slot-' + index" triggers="hover">
                                    <div class="center" style="flex-direction: column">
                                        <p>Index: {{ index }}</p>
                                        <div v-if="slots[index][1]!=undefined" class="inline-left">
                                            <span>Sender:&nbsp;</span>
                                            <v-hash
                                                v-bind:hash="slots[index][1].source"
                                                category="account"
                                            />
                                        </div>
                                        <div v-if="slots[index][1]!=undefined" class="inline-left">
                                            <span>Commitment:&nbsp;</span>
                                            <v-hash
                                                v-bind:hash="slots[index][1].header.commitment"
                                                category="hash"
                                            />
                                        </div>
                                    </div>
                                </b-tooltip>
                            </template>
                        </template>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>
